class Manifest.ItemFactory extends ManifestBase.Factory
  
  @types: () ->
    {
      'item': Manifest.ItemModule.ItemPeta, 
      'owner': Manifest.ItemModule.OwnerPeta, 
      'system_resource': Manifest.ItemModule.SystemResourcePeta, 
      'template': Manifest.ItemModule.TemplatePeta, 
      'content': Manifest.ItemModule.ContentPeta, 
      'root': Manifest.ItemModule.RootPeta, 
      'element': Manifest.ItemModule.ElementPeta, 
      'binder': Manifest.ItemModule.BinderPeta, 
      'leaf': Manifest.ItemModule.LeafPeta
    }
  
  @default_type: () ->
    'item'
    
class Manifest.ItemModule

