class Manifest.SystemResource.Template
  
  @manager: (system_resource, my_manifests) ->
    templates = {}
    _.each my_manifests, (my_manifest, template_name) ->
      templates[template_name] = new Manifest.SystemResource.Template(system_resource, template_name, my_manifest)
    templates
  
  set_default: () ->
    @my_manifest['template_items'] ||= {}
    @my_manifest['has_route'] ||= 1
  
  init: () ->
    @has_route = @my_manifest['has_route']
    @template_items = @my_manifest['template_items']
  
  is_add_route: () ->
    @has_route > 0
  
  constructor: (@system_resource, @template_name, @my_manifest) ->
    @set_default()
    @init()
  
