class Pettanr.Views.OriginalPicture.Form extends Locmare.Form
  
  initialize: (options) ->
    super(options)
  
  render: () ->
    super()
  
  form_attr: () ->
    _.extend(super(), {
      enctype: 'multipart/form-data'
    })
  
  init_fields: () ->
    _.each @manifest.field_names, (field_name) =>
      field_manifest = @manifest.fields[field_name]
      @fields[field_name] = new Locmare.FormModule.Field({
        form: this, 
        field_name: field_name, 
        field_manifest: field_manifest
      })
  
  save: () ->
    attrs = {}
    form_data = new FormData(this.$el.get(0))
    options = {
      data: form_data,
      processData: false,
      contentType: false,
      success: (model, response, options) =>
        @item = new Pettanr.OriginalPicture(model)
        @trigger('success', model, response)
      error: (model, response, options) =>
        @item = new Pettanr.OriginalPicture(model)
        @trigger('fail', model, response)
    }
    method = if @item.isNew()
      'create'
    else
      'update'
    Backbone.sync(method, @item, options)
  
