class CreateDemanders < ActiveRecord::Migration
  def change
    create_table :demanders do |t|
      t.integer :demand_user_id, :null => false, :default => 0
      t.string :name, :null => false, :limit => 50
      t.string :caption, :null => false, :limit => 30
      t.string :url, :null => false
      t.string :description, :null => false
      t.string :demander_url, :null => false
      t.integer :demander_status_id, :null => false, :default => 0

      t.timestamps
    end
  end
end
