module Editor
  module EditorModule
    module DockModule
      class RootBay < SimpleBay
      end
      
      module TabModule
        class RootBayLabel < BayLabel
        end
        
        class RootBayBody < BayBody
          attr_accessor :bucket
          
          def initialize parent
            super
            @form = Locmare::Form.new self.root_item.item_name, 'default', self.root_item, self.mounted, true, @operators
            @bucket = FormBucket.new self, @form
          end
          
          def template_file_name
            'root'
          end
          
          def mounted
            true
          end
          
          def dock
            @parent.dock
          end
          
          def root_item
            self.dock.root_item
          end
          
        end
        
      end
    end
  end
end
