module Editor
  module EditorModule
    module DockModule
      class PriorityBoard < Board
        attr_accessor :element
        
        def initialize parent, index, name, element
          super parent, index, name
          @element = element
        end
        
        def mounted
          false
        end
        
      end
      
      module TabModule
        class PriorityBoardLabel < BoardLabel
          def template_file_name
            'board_label'
          end
          
          def face_template_name
            self.element.path_name + '/element_face'
          end
          
        end
        
        class PriorityBoardBody < BoardBody
          attr_accessor :bucket
          
          def initialize parent
            super
            @bucket = PriorityBucket.new self
            
        #    form_manager = Pettanr::Application::manifest.form_managers[self.root_item.form_name]
        #    form = form_manager.open self.root_item, @dock_body.dock.editor.operators, mounted
        #    bucket = Bucket.new self,form
          end
          
          def template_name
            @bucket.template_name
          end
          
          def template_options
            @bucket.template_options
          end
          
        end
        
      end
    end
  end
end
