ManifestBase.require_modules "local_manifest/filer/summary/", 
  %w|summary|

module LocalManifest
  module FilerModule
    class SummaryFactory < ManifestBase::Factory
      include SummaryModule
      
      def self.types
        {
          'none' => None, 'template' => Template
        }
      end
      
      def self.default_type
        'template'
      end
      
    end
    
  end
end
