module LocalManifest
  module FormModule
    module UseModule
      module FieldModule
        module LabelModule
          class Base < ManifestBase::TypeArgs
            attr :row_break
            
            def set_default
              super
              @args['row_break'] ||= false
            end
            
            def init
              super
              @row_break = @args['row_break']
            end
            
            def form_name
              @parent.form_name
            end
            
            def use_name
              @parent.use_name
            end
            
            def field_name
              @parent.name
            end
            
            def item_name
              self.form_name
            end
            
            def column_name
              self.field_name
            end
            
          end
          
          class Default < Base
          end
          
          class None < Base
          end
          
        end
      end
    end
  end
end
