module LocalManifest
  module ListGroupModule
    module ListModule
      module IncludeModule
        class IncludeMethod < Base
          attr :method_name
          
          def set_default
            super
            @args['method_name'] ||= @parent.name + '_list_includes'
          end
          
          def init
            super
            @method_name = @args['method_name']
          end
          
          def includes
            self.model.__send__ @method_name
          end
          
        end
        
      end
    end
  end
end
