require_dependency "locmare/filer/body/file_body/file_item/caption/default/face"
require_dependency "locmare/filer/body/file_body/file_item/caption/default/link"
module Locmare
  module FilerModule
    module BodyModule
      module FileBodyModule
        module FileItemModule
          module CaptionItemColumnModule
            class Default < Base
              include DefaultModule
              attr :face, :link
              
              def initialize file_item, caption_manifest, item
                super
                @face = FaceFactory.factory self, self.caption_manifest.face, @item
                @link = LinkFactory.factory self, self.caption_manifest.link, @item
              end
              
              def column_template_file_name
                'show'
              end
              
              def item_template_file_name
                if @caption_manifest.link.type == 'none'
                  'default_without_link'
                else
                  'default'
                end
              end
              
            end
          end
        end
      end
    end
  end
end
