module Locmare
  module FormModule
    module FieldModule
      module HelperModule
        class Base
          attr :field, :helper_manifest
          
          def initialize field, helper_manifest
            @field = field
            @helper_manifest = helper_manifest
          end
          
          def type
            @helper_manifest.type
          end
          
          def path
            @helper_manifest.path
          end
          
          def form
            @field.form
          end
          
          def template_dir
            self.form.template_dir + 'helper/'
          end
          
          def template_file_name
            @helper_manifest.file_name
          end
          
          def template_name
            self.template_dir + self.template_file_name
          end
          
          def form_name
            @field.form_name
          end
          
          def field_name
            @field.field_name
          end
          
        end
        
      end
    end
  end
end
