module Locmare
  module ListGroupModule
    class PlayList < Base
      attr :filter_key, :filter_item_name
      
      def init
        @binder_action = @action_manifest.original
        @binder_controller = @binder_action.controller
        @binder_model = Manifest.manifest.models[@binder_action.item_name]
        @binder_model_class = @binder_model.classify
        @binder_item = @binder_model_class.show(self.filter_id, @operators)
        
        @wheres.delete('index') if @binder_item.own?(@operators)
        @binder_list_group_manifest = LocalManifest.manifest.list_groups[@binder_controller.name]
        @binder_list_manifest = @binder_list_group_manifest.lists[@binder_action.name]
        @filter_key = @binder_list_manifest.filter_key
        @filter_item_name = @binder_list_manifest.filter_item_name
        @filter_model = ::Manifest.manifest.models[@filter_item_name].classify
        @filter_table_name = @filter_model.table_name
        super
      end
      
      def play_list_where
        [@table_name + '.' + @filter_key + ' = ?', self.filter_id] 
      end
      
      def include_hash
        w = super
        w.merge!({@filter_item_name => {} }) unless w[@filter_item_name]
        w
      end
      
    end
    
  end
end
