class Locmare.FilerModule.Header extends Pettanr.View
  tagName: 'div'
  
  initialize: (options) ->
    @filer = options.filer
  
  render: () ->
    this.$el.html('')
    icon = new Pettanr.Image.Icon({item: @model(), half: true})
    caption = Pettanr.AppHelper.t_m(@model().singular())
    url = @model().index_url()
    linked_icon = new Tag.A({
      attr: {href: '/' + url}, content: icon.render().el
    })
    linked_caption = new Tag.A({
      attr: {href: '/' + url}, content: caption
    })
    @listenTo(linked_icon, 'click', @click)
    @listenTo(linked_caption, 'click', @click)
    this.$el.append(linked_icon.render().el)
    this.$el.append(linked_caption.render().el)
    this
  
  model: () ->
    @filer.model()
  
  human_name: () ->
    @model.model_name.human
  
  click: () ->
    @trigger('click', @model().index_url())
  
