class Pettanr.Balloon extends Peta.Element
  
  @singular: () ->
    'Balloon'
  
  @plural: () ->
    'Balloons'
  
  defaults: {
    id: null,
    x: 0,
    y: 0,
    width: 100,
    height: 100,
    r: 0
  } 
  
  @pick_item_name: () ->
    'speech_balloon_template'
  
  @trace_routes: () ->
    {
      speech_balloon: 'speech_balloon',
      speech_balloon_template: ['speech_balloon', 'speech_balloon_template'],
      symbol: ['speech_balloon', 'speech_balloon_template', 'system_picture']
    }
  
  pick: () ->
    # 
    speech_balloon_template = @templates.speech_balloon_template
    {
      speech_balloon_template_id: speech_balloon_template.get('id'),
      speech_balloon_template_module_name: speech_balloon_template.get('module_name'),
    }
  
  r_url: () ->
    '/system_pictures/' + @system_picture().filename()
  
  plain_scenario: () ->
    ''
  
  initialize: (attr, options) ->
    super(attr, options)
  
