#サポートツール
require 'rubygems'
require 'fileutils'
require 'json'

if ARGV.size < 1
  puts "preup.rb default.attr"
  exit
end

dirname = File.expand_path(File.dirname(ARGV[0]))
default_attr_file = ARGV[0]

puts dirname
puts default_attr_file
default_attr = JSON.parse(File.open(default_attr_file, 'r').read)

Dir.glob(dirname + '/*') do |fn|
  ext = File.extname(fn).downcase
  bn = File.basename(fn, ".*")
  case ext
  when '.png', '.gif', '.jpeg'
    puts fn
    custom_attr_file = File.dirname(fn) + '/' + bn + '.json'
    FileUtils.cp(default_attr_file, custom_attr_file) unless File.exist?(custom_attr_file) 
    custom_attr = JSON.parse(File.open(custom_attr_file, 'r').read)
  end
end

