module LocalManifest
  module FilerModule
    module CaptionModule
      module DefaultModule
        module FaceModule
          class BaseFace < ManifestBase::TypeArgs
            
            def set_default
              super
            end
            
            def init
              super
            end
            
          end
          
          class ColumnFace < BaseFace
            attr :column_name
            
            def set_default
              super
              @args['column_name'] ||= 'caption'
            end
            
            def init
              super
              @column_name = @args['column_name']
            end
          end
          
          class MethodFace < BaseFace
            attr :method_name
            
            def set_default
              super
              @args['method_name'] ||= 'caption'
            end
            
            def init
              super
              @method_name = @args['method_name']
            end
          end
          
          class NoneFace < BaseFace
          end
        end
      end
    end
  end
end
